<template>
    <div>
        <div class="row mt-5 justify-content-center">
            <div class="col-md-8 col-sm-12 text-center">
                <h3 class="mb-3">
                    Sorry for my language
                </h3>
                <p>
                    Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the
                    industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type
                    and
                    scrambled it to make a type specimen book. It has survived not only five c
                </p>

            </div>
        </div>
        <div class="row mt-5 justify-content-center">
            <div class="col-md-8 col-sm-12">
                <language-list :languages="languages"></language-list>
                <div class="text-center text-danger" v-if="errorLoading">
                    There is error loading languages. Please try again.
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import LanguageList from "../components/language/LanguageList";

    export default {
        name: "Home",
        components: {LanguageList},
        data() {
            return {
                languages: [],
                errorLoading: false
            }

        },
        created() {
            this.$http.get('languages')
                .then((response) => {
                    this.languages = response.data.data.data
                }).catch((e) => {
                this.errorLoading=true
            });
        }
    }
</script>

<style scoped>

</style>
